# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Perl/Critic/Policy.pm) perl(Perl/Critic/TestUtils.pm) perl(Perl/Critic/Utils.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Perl-Critic-Nits
Version:        1.0.0
Release:        alt1_6
Summary:        Policies of nits I like to pick
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Perl-Critic-Nits/
Source0:        http://www.cpan.org/authors/id/K/KC/KCOWGILL/Perl-Critic-Nits-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Perl/Critic.pm)
# Missing in META.yml
BuildRequires:  perl(Readonly.pm)
BuildRequires:  perl(Test/More.pm)
# Plug-in for perlcritics/Test::More. Require them.
Requires:       perl(Perl/Critic.pm) >= 1.07
Requires:       perl(Test/More.pm)
Source44: import.info

%description
The included policy is:
Perl::Critic::Policy::ValuesAndExpressions::ProhibitAccessOfPrivateData
(Prohibits direct access to a hash-based object's hash).

%prep
%setup -q -n Perl-Critic-Nits-v%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=perl
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;
# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_5
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_3
- fc import

